### Class

# GtkSource LanguageManager

#### Description [src]

    final class GtkSource.LanguageManager : GObject.Object
    {
      /* No available fields */
    }

Provides access to `GtkSourceLanguage`s.

`GtkSourceLanguageManager` is an object which processes language description files and creates and stores `GtkSourceLanguage` objects, and provides API to access them.

Use `gtk_source_language_manager_get_default()` to retrieve the default instance of `GtkSourceLanguageManager`, and `gtk_source_language_manager_guess_language()` to get a `GtkSourceLanguage` for given file name and content type.

#### Ancestors

- GObject

#### Constructors

###### gtk_source_language_manager_new

Creates a new language manager.

#### Functions

###### gtk_source_language_manager_get_default

Returns the default `GtkSourceLanguageManager` instance.

#### Instance methods

###### gtk_source_language_manager_append_search_path

Appends `path` to the list of directories where the `manager` looks for language files.

since: 5.4

###### gtk_source_language_manager_get_language

Gets the `GtkSourceLanguage` identified by the given `id` in the language manager.

###### gtk_source_language_manager_get_language_ids

Returns the ids of the available languages.

###### gtk_source_language_manager_get_search_path

Gets the list directories where `lm` looks for language files.

###### gtk_source_language_manager_guess_language

Picks a `GtkSourceLanguage` for given file name and content type, according to the information in lang files.

###### gtk_source_language_manager_prepend_search_path

Prepends `path` to the list of directories where the `manager` looks for language files.

since: 5.4

###### gtk_source_language_manager_set_search_path

Sets the list of directories where the `lm` looks for language files.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GtkSource.LanguageManager:language-ids

No description available.

###### GtkSource.LanguageManager:search-path

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkSourceLanguageManagerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.